Subject: git send-email doesn't take To: addresses from the patch

From: viresh kumar <[email-masked]>
Date: Mon, 30 Aug 2010 12:35:55 +0530

Hi,

I am using git-1.7.2 and use following command to generate a patch

$ git format-patch --to [email-masked] HEAD^

Now when I use git send-email to send this patch, it is not taking the
To: embedded in the patch as its destination, instead it asks for one
and if not provided it keeps this field empty.
On the other hand git send-email is taking the Cc addresses from
the patch perfectly in to account.

How can I use git send-email to pick To: addresses directly from the
patch.

regards
Viresh Kumar